/* bhcar-acheter.css */
/* Custom styles for the [bh_car_acheter] form */

.bhcar-acheter-form-container {
  background:
    radial-gradient(96.73% 78.5% at 1.97% 21.5%, rgba(255, 255, 255, 0.4) 0%, rgba(255, 255, 255, 0) 100%),
    linear-gradient(0deg, rgba(255, 255, 255, 0.1), rgba(255, 255, 255, 0.1));

  @apply flex items-center justify-center p-6 lg:px-12 rounded-[24px] lg:rounded-[80px] max-w-[1344px] self-center backdrop-blur-[8px] border border-[#a8a8a8];
}

.bhcar-acheter-form {
  @apply flex flex-col lg:flex-row items-center justify-between gap-4 w-full;
}

.bhcar-acheter-form-selector {
  @apply flex flex-col justify-center items-center w-full lg:h-[52px] lg:w-auto min-w-[130px];
  flex: 1 1 0%;
}

.bhcar-acheter-block {
  @apply flex flex-row flex-nowrap w-full min-w-[262px];
  flex: 2 1 0%;
  justify-content: space-between !important;
}

.bhcar-acheter-selector-wrapper {
  @apply flex flex-1 text-base font-normal text-white tracking-tight w-full h-[24px];
  position: relative;
}

.bhcar-acheter-selector {
  @apply flex flex-1 w-full py-0 pl-1 pr-5;
  text-align: left;
  background: transparent;
  border: 0;
  appearance: none;
  /* remove arrow */
  -webkit-appearance: none;
  /* remove arrow Chrome */
  -moz-appearance: none;
  /* remove arrow FF */
}

.bhcar-acheter-arrow {
  position: absolute;
  right: 0.25rem;
  top: 50%;
  transition: all 0.2s ease;
  transform: translateY(-50%);
  pointer-events: none;
}

.bhcar-acheter-arrow-down {
  transform: rotate(180deg);
}

.bhcar-acheter-selector option {
  @apply p-2;
  background-color: #1a1a1a !important;
  color: #ffffff;
  font-size: 14px;
  text-transform: capitalize;
}

.bhcar-acheter-selector:focus {
  border-bottom-color: #ffffff;
  outline: none;
  background-color: transparent !important;
}

.bhcar-acheter-selector:active {
  background-color: transparent !important;
}

.bhcar-acheter-delimitor {
  @apply w-full h-[2px] lg:w-[2px] lg:h-[52px] bg-[rgba(255, 255, 255, 0.2)];
}

.bhcar-acheter-submit {
  @apply flex items-center justify-center gap-2 px-4 py-2 h-[40px] w-full bg-[#E22415] rounded-full;
}

.bhcar-acheter-selector-wrapper .select2-container--default .select2-selection--single {
  background-color: transparent;
  border: none;
}

.bhcar-vendre-select-dropdown {
  background-color: #6C6C6C;
}

.bhcar-vendre-select-dropdown .select2-results__option--selected {
  background-color: #6C6C6C;
}

.bhcar-vendre-select-dropdown .select2-results__option--selectable {
  font-family: 'Inter', sans-serif;
  font-size: 12px;
  line-height: 130%;
  letter-spacing: -0.01em;
  color: #fff;
}
.bhcar-acheter-selector-wrapper{
  height: auto;
}
.bhcar-vendre-select-dropdown .select2-results__option--highlighted.select2-results__option--selectable {
  background-color: #838383;
}

.bhcar-vendre-select-dropdown .select2-search__field {
  background: rgba(255, 255, 255, 0.5);
  border-radius: 4px;
  padding: 6px;
}
.bhcar-vendre-select-dropdown .select2-container--default .select2-search--dropdown .select2-search__field{
  height: 30px;
  border: none!important;
}

.bhcar-vendre-select-dropdown .select2-results__options::-webkit-scrollbar {
  width: 3px; 
}

.bhcar-vendre-select-dropdown .select2-results__options::-webkit-scrollbar-track {
  background: #8A8A8A; /* фон трека */
}

.bhcar-vendre-select-dropdown .select2-results__options::-webkit-scrollbar-thumb {
  background-color: #e22415; /* цвет ползунка */
  border-radius: 4px;
}

.bhcar-acheter-selector-wrapper .select2-selection__arrow {
  display: none !important;
}

.bhcar-acheter-selector-wrapper .select2-selection__clear {
  display: none !important;
}

.bhcar-acheter-selector-wrapper .select2-selection__rendered {
  padding: 8px !important;
  height: fit-content;
}